﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace DisplayASimpleMap
{
    public partial class Sample : Window
    {
         ViewModel model;

         public Sample()
        {
            InitializeComponent();
            model = new ViewModel();
            DataContext = model;
            model.Map.Loaded += new RoutedEventHandler(WpfMap_Loaded);
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            model.Map.MapUnit = GeographyUnit.Meter;
            model.Map.CurrentExtent = new RectangleShape(-10000000, 10000000, 10000000, -10000000);
            
            GoogleMapsLayer layer = new GoogleMapsLayer();
            layer.CacheDirectory = @"../../data/";
            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(layer);

            model.Map.Overlays.Add(overlay);
            model.Map.Refresh();
        }
    }
}

